import 'dart:io';

Future<void> generateDummy(
  String srcPath,
  String className,
) async {
  var clazz = className.replaceAll('()', '');

  String fileName = srcPath.split('/').last;
  String name = fileName.split('.').first;
  String dirPath = srcPath.replaceAll(fileName, '');
  String previewPath = '${dirPath}preview/dummy/';

  await Directory(previewPath).create(recursive: true);

  String dummyFile = '$previewPath$name.dummy.dart';
  File file = File(dummyFile);

  if (await file.exists()) {
    print(
        '📃 👌 Dummy file already exist for $clazz - ${clazz}Dummy ($dummyFile)');
    return;
  }

  print('📃 Generating dummy for $clazz - ${clazz}Dummy ($dummyFile)');

  var content = '''
/// AUTOGENERATED FILE.
///
/// Use this file for modify the preview of ${clazz}Preview
///

import 'package:catalog/catalog.dart';

class ${clazz}Dummy extends PreviewDummy {
  @override
  List<Dummy> get dummies => [];
}
    ''';

  await file.writeAsString(content);
}
